
(mapc (lambda (kvpair)
        (destructuring-bind (k v) kvpair
          (set (intern k :lineal.client-vars) v)))
      '(("+" addn)
        ("-" subtrn) ("*" multn) ("/" divisn)
        ("^" over-expt)
        ("asin" asin) ("acos" acos) ("atan" atan)
        ("cat" over-cat)
        ("cos" cos)
        ("crop" over-crop)
        ("cross" over-cross-prod)
        ("det" over-det)
        ("dot" over-dot-prod)
        ("expt" exptn)
        ("factorial" over-factorial)
        ("inverse" over-multv-inverse)
        ("nAr" nAr) ("nCr" nCr) ("nPr" nPr)
        ("orth" over-orth)
        ("proj" over-proj)
        ("recall" lineal::over-recall)
        ("ref" over-r-ef) ("rref" over-rr-ef)
        ("sin" sin)
        ("sqrt" over-sqrt)
        ("store" lineal::over-store)
        ("tan" tan)
        ("tr" over-trace)
        ("transpose" over-transpose)
        ("vcat" over-vcat)
        ("vcrop" over-vcrop)))

